#
# spec file for package perl-Error
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Error
Version:        0.17029
Release:        1.20
%define cpan_name Error
Summary:        Error/exception handling in an OO-ish way
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.280000
BuildRequires:  perl(Test::More) >= 0.88
%{perl_requires}

%description
The 'Error' package provides two interfaces. Firstly 'Error' provides a
procedural interface to exception handling. Secondly 'Error' is a base
class for errors/exceptions that can either be thrown, for subsequent
catch, or can simply be recorded.

Errors in the class 'Error' should not be thrown directly, but the user
should throw errors from a sub-class of 'Error'.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog Changes examples README
%license LICENSE

%changelog
* Wed Jan 29 2020 <timueller+perl@suse.de>
- updated to 0.17029
  see /usr/share/doc/packages/perl-Error/Changes
  0.17029         2020-01-28
  - Rebuild for order of 'NAME' and 'VERSION' sections in the generated
    POD documentation (see 0.001004 in
    https://metacpan.org/changes/distribution/Pod-Weaver-PluginBundle-SHLOMIF
    ).
  - VERSION used to appear before NAME.
* Sat Aug 24 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.17028
  see /usr/share/doc/packages/perl-Error/Changes
  0.17028         2019-08-23
  - Moved the VCS repo to https://github.com/shlomif/perl-error.pm
  - No other significant changes.
* Thu Nov  8 2018 Stephan Kulow <coolo@suse.com>
- updated to 0.17027
  see /usr/share/doc/packages/perl-Error/Changes
  0.17027         2018-10-28
  - Documentation and examples enhancements.
  - https://bitbucket.org/shlomif/perl-error.pm/pull-requests/1/october-prc-some-minor-mostly-doc-changes/diff
  - Thanks to https://metacpan.org/author/JMERELO .
* Thu May 24 2018 coolo@suse.com
- updated to 0.17026
  see /usr/share/doc/packages/perl-Error/Changes
* Tue Aug  8 2017 coolo@suse.com
- updated to 0.17025
  see /usr/share/doc/packages/perl-Error/ChangeLog
  Aug 07 2017 <shlomif@shlomifish.org> (Shlomi Fish)
    Error.pm #0.17025
  - Fix 'use Error::Simple' overriding the $VERSION
  - https://rt.cpan.org/Public/Bug/Display.html?id=122713
  - Thanks to Matthew Horsfall for the report.
* Sun Jun  7 2015 coolo@suse.com
- updated to 0.17024
  see /usr/share/doc/packages/perl-Error/ChangeLog
  May 30 2015 <shlomif@shlomifish.org> (Shlomi Fish)
    Error.pm #0.17024
  - Add link to the VCS repository in META.yml
* Thu Apr 16 2015 coolo@suse.com
- updated to 0.17023
  see /usr/share/doc/packages/perl-Error/ChangeLog
  Feb 12 2015 <shlomif@shlomifish.org> (Shlomi Fish)
    Error.pm #0.17023
  - Minimal version of Module-Build reduced to 0.280801
  - https://rt.cpan.org/Public/Bug/Display.html?id=102062
* Sun Feb  9 2014 coolo@suse.com
- updated to 0.17022
  - Add "use warnings;" to everything (CPANTS Kwalitee).
  - Add a separate LICENSE file (CPANTS Kwalitee).
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.17021
  Error.pm #0.17021
  - Fix for the format of the new Carp (in bleadperl)
  - https://rt.cpan.org/Ticket/Display.html?id=88137
  - Thanks to Zefram for the report and patch.
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.17020
  Error.pm #0.17020
  - Correct typos.
  - https://rt.cpan.org/Ticket/Display.html?id=85023
  Error.pm #0.17019
  - Change to Shlomi Fish's new E-mail and web address.
  - Clarify the licence of lib/Error/Simple.pm .
  - https://rt.cpan.org/Ticket/Display.html?id=81277
  - Thanks to Marcela
  Error.pm #0.17018
  - Add a $VERSION variable for Error::Simple.
  - thanks to Kevin Dawson for the report.
  - Add scripts/bump-version-number.pl .
  - This can be used to bump the version numbers globally.
* Mon Feb 13 2012 vcizek@suse.com
- update to 0.17017
  - Bleadperl broke Error.pm's tests -
  - https://rt.cpan.org/Ticket/Display.html?id=74770
  - Applied a patch to check for optional trailing periods.
  - Thanks to ANDK for the report and RURBAN for the patch
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Nov 24 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
- noarch pkg
- added bcond_with pod
* Wed Jan 13 2010 anicka@suse.cz
- update to 0.17016
  * Mentioned the lack of compatibility of "use Error qw(:try)" with Moose.
    Fixed: https://rt.cpan.org/Ticket/Display.html?id=46364
  * Added TryCatch and Try::Tiny to the "SEE ALSO".
  * Add the WARNING that this module is no longer recommended.
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Sep 10 2008 anicka@suse.cz
- update to 0.17015
  * Added the "SEE ALSO" section to the Error.pm POD mentioning
    Exception::Class and Error::Exception.
  * Made Makefile.PL require perl-5.6.0 and above.
* Thu Jul 24 2008 anicka@suse.cz
- package created (version 0.17012)
